Package com.io7m.waxmill.machines

# Class WXMTTYBackendStdio.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMTTYBackendStdio.Builder

Enclosing class:
  WXMTTYBackendStdio

    public static final class WXMTTYBackendStdio.Builder
    extends java.lang.Object

Builds instances of type `WXMTTYBackendStdio`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMTTYBackendStdio` | `build()` | Builds a new `WXMTTYBackendStdio`.
  `WXMTTYBackendStdio.Builder` | `from​(WXMDeviceType.WXMTTYBackendStdioType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMTTYBackendStdioType` instance.
  `WXMTTYBackendStdio.Builder` | `from​(WXMDeviceType.WXMTTYBackendType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMTTYBackendType` instance.
  `WXMTTYBackendStdio.Builder` | `setComment​(java.lang.String comment)` | Initializes the value for the `comment` attribute.
  `WXMTTYBackendStdio.Builder` | `setDevice​(java.lang.String device)` | Initializes the value for the `device` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMTTYBackendStdio.Builder from​(WXMDeviceType.WXMTTYBackendType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMTTYBackendType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final WXMTTYBackendStdio.Builder from​(WXMDeviceType.WXMTTYBackendStdioType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMTTYBackendStdioType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setDevice

    public final WXMTTYBackendStdio.Builder setDevice​(java.lang.String device)
    Initializes the value for the `device` attribute.
    Parameters:
      `device` - The value for device
    Returns:
      `this` builder for use in a chained invocation

  - ### setComment

    public final WXMTTYBackendStdio.Builder setComment​(java.lang.String comment)
    Initializes the value for the `comment` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `comment`.

    Parameters:
      `comment` - The value for comment
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMTTYBackendStdio build()
    Builds a new `WXMTTYBackendStdio`.
    Returns:
      An immutable instance of WXMTTYBackendStdio
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing